
Foreman - Feature #1740

VNC password should be optional on hypervisors

07/10/2012 03:52 AM - Romain Vrignaud

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As http://theforeman.org/issues/1739 is quite annoying for us,

the VNC password for direct connection in hypervisors should be optional.

Related issues:

Related to Foreman - Feature #1711: Need an option to choose whether a Libvir... Closed 06/26/2012

History

#1 - 07/12/2012 08:30 AM - Romain Vrignaud

- Tracker changed from Bug to Feature

#2 - 10/31/2012 02:58 PM - Joshua Hoblitt

It would also be very convenient for theforeman to show the password it generated/set somewhere in on the host display.  With libvirt, you have to

dump the VMs xml config to fish out the vnc passwords that's been set.

#3 - 05/19/2013 05:13 AM - Ryan Davies

Joshua Hoblitt wrote:

It would also be very convenient for theforeman to show the password it generated/set somewhere in on the host display.  With libvirt, you have

to dump the VMs xml config to fish out the vnc passwords that's been set.

 This would be a fantastic feature

#4 - 06/18/2013 12:19 PM - Benjamin Papillon

As a workaround I'm viewing the html source where the password is

#5 - 08/13/2013 10:32 AM - Dominic Cleal

- Description updated

- Status changed from New to Duplicate

Closing as a duplicate of #1711.  This feature has been implemented in https://github.com/theforeman/foreman/pull/753 for Foreman 1.3.
